PUT
/
api
/
access
/
users
/
{id}
Atualizar usuario de acesso
curl --request PUT \
  --url https://suite.sisqualis.com.br/api/access/users/{id}/ \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "username": "<string>",
  "email": "jsmith@example.com",
  "full_name": "<string>",
  "department": "<string>",
  "job_title": "<string>",
  "is_employee": true,
  "role_id": 123,
  "status": "<string>"
}
'
{
  "id": 123,
  "username": "<string>",
  "email": "jsmith@example.com",
  "full_name": "<string>",
  "department": "<string>",
  "job_title": "<string>",
  "is_employee": true,
  "employee_photo_url": "<string>",
  "role_id": 123,
  "role_name": "<string>",
  "permissions": [
    "<string>"
  ],
  "temporary_password": "<string>",
  "status": "<string>",
  "last_access_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Use: Token <seu_token>

Path Parameters

id
integer
required

Body

username
string
email
string<email>
full_name
string
department
string
job_title
string
is_employee
boolean
role_id
integer | null
status
string

Response

200 - application/json

Usuario atualizado

id
integer
username
string
email
string<email>
full_name
string
department
string
job_title
string
is_employee
boolean
employee_photo_url
string
role_id
integer | null
role_name
string
permissions
string[]
temporary_password
string | null
status
string
last_access_at
string<date-time> | null
created_at
string<date-time>
updated_at
string<date-time>